.home-contacts
  position relative
  overflow hidden
  &__inner
    position relative
    display flex
    flex-direction column
    gap 0.75rem
    align-items flex-start
    background-color var(--color-white)
    border-radius var(--border-radius-s)
    z-index 10
    +media(m)
      margin-top 3.5rem
      padding 3rem
  &__map
    margin-top 2rem
    min-height 20rem
    +media(m)
      position absolute
      inset 0
      margin-top 0
  &__icon
    --icon-size 1.25rem
    position relative
    display inline-flex
    align-items center
    flex-direction row-reverse
    gap 0.5rem
    +after()
      display block
      width var(--icon-size)
      height var(--icon-size)
      flex-shrink 0
      mask-image var(--before-mask-image)
      mask-repeat no-repeat
      mask-position center
      mask-size contain
      background-color var(--color-mark)
    for icon in call mail
      &--{icon}
        --before-mask-image maskImage(icon, common)
